aboutsummaryrefslogtreecommitdiffstats
path: root/tools/fuzz-test.sh
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2012-04-18 16:04:05 +0000
committerGerald Combs <gerald@wireshark.org>2012-04-18 16:04:05 +0000
commitbb606959f7a98d11da61a6d13d92d1cd581052c1 (patch)
treec2d32de47d8063705e8c4942355def2f4405cc02 /tools/fuzz-test.sh
parent5187255e3852e20684bed097c8a54829fc3aca94 (diff)
Tell the main loop to terminate when we catch a signal instead of trying
to clean up in two places. svn path=/trunk/; revision=42133
Diffstat (limited to 'tools/fuzz-test.sh')
-rwxr-xr-xtools/fuzz-test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/fuzz-test.sh b/tools/fuzz-test.sh
index 1f9510caf5..f6d9290d91 100755
--- a/tools/fuzz-test.sh
+++ b/tools/fuzz-test.sh
@@ -137,7 +137,7 @@ echo "Running $TSHARK with args: $TSHARK_ARGS ($HOWMANY)"
echo ""
# Clean up on <ctrl>C, etc
-trap "rm -f $TMP_DIR/$TMP_FILE $TMP_DIR/$ERR_FILE; echo ""; exit 0" HUP INT TERM
+trap "MAX_PASSES=1; echo 'Caught signal'" HUP INT TERM
##############################################################################